PAN-OS puffer túlcsordulásos sérülékenység

CH azonosító: CH-15013
Cím: PAN-OS puffer túlcsordulásos sérülékenység
Angol cím: PAN-OS buffer overflow vulnerability

Publikálás dátuma: 2020.09.14.
Utolsó módosítás dátuma: 2020.09.14.


Leírás

A CVE-2020-2040 számon a Palo Alto Networks PAN-OS szoftverét érintő kritikus kockázati besorolású – sérülékenység vált ismertté, amelyet kihasználva a támadó autentikáció nélkül tetszőleges kódot futtathat root szintű jogosultsággal. 


Leírás forrása: Gyártói referencia: security.paloaltonetworks.com
Leírás utolsó módosítása: 2020.09.14.


Elemzés leírás

A PAN-OS szoftver fut valamennyi Palo Alto Networks által gyártott új generációs tűzfalon. A most ismertetett sérülékenység akkor használható ki, amennyiben vagy a a Captive Portal, vagy a Multi-Factor Authentication (MFA)  funkció engedélyezve van ─ erről bővebb információ a gyártó weboldalán, itt található. 

A támadás végrehajtásához hozzáfárési jogosultság nem szükséges, sikeres kihasználás esetén a támadó root szintű kódfuttatási jogosultságot szerezhet.

Érintett verziók:

  • PAN-OS 8.0 – minden verzió
  • PAN-OS 8.1 – 8.1.15 előtti verziók
  • PAN-OS 9.0 – 9.0.9 előtti verziók
  • PAN-OS 9.1 – 9.1.3 előtti verziók

A gyártó honlapján közzétette a hiba javítását tartalmazó frissítéseket. 


Elemzés leírás forrása: Gyártói referencia: security.paloaltonetworks.com
Elemzés leírás utolsó módosítása: 2020.09.14.


Hatás

CVSS3 Severity and Metrics

Base score: 9.8 (Kritikus)
Vector: AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Impact Score:
Exploitability Score:


Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope (S): Unchanged
Confidentiality Impact (C): High
Integrity Impact (I): High
Availability Impact (A): High

CVSS2 Severity and Metrics

Base score: (Nincs)
Vector:
Impact Subscore:
Exploitability Subscore:




Hivatkozások

Gyártói referencia: security.paloaltonetworks.com